- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Solvers::SAT::GATSAT::GatsatFactory Class Reference

`#include <GatsatFactory.h>`

Inheritance diagram for Mers::Solvers::SAT::GATSAT::GatsatFactory:

[legend]
Collaboration diagram for Mers::Solvers::SAT::GATSAT::GatsatFactory:

[legend]
List of all members.

## Public Member Functions
| GatsatFactory ()
virtual | ~GatsatFactory ()
virtual Mers::Solvers::SAT::GATSAT::GATSAT * | createGatsat (const Mers::Models::Base::BaseModelVariableArray &searchVars, const Mers::Models::Base::BaseModelVariableArray &allVars, const Mers::Models::Base::BaseModelSentence &theory) const =0 throw (Mers::Utils::Exceptions::RuntimeException)

## Detailed Description

A factory for creating GATSAT objects.

Definition at line 32 of file GatsatFactory.h.

## Constructor & Destructor Documentation

Mers::Solvers::SAT::GATSAT::GatsatFactory::GatsatFactory | ( |  | ) | `[inline]`

Constructs this object.

Definition at line 38 of file GatsatFactory.h.

virtual Mers::Solvers::SAT::GATSAT::GatsatFactory::~GatsatFactory | ( |  | ) | `[inline, virtual]`

Destroys this object.

Definition at line 44 of file GatsatFactory.h.

## Member Function Documentation

virtual Mers::Solvers::SAT::GATSAT::GATSAT* Mers::Solvers::SAT::GATSAT::GatsatFactory::createGatsat | ( | const Mers::Models::Base::BaseModelVariableArray & | searchVars,
|  | const Mers::Models::Base::BaseModelVariableArray & | allVars,
|  | const Mers::Models::Base::BaseModelSentence & | theory |
| ) |  |  | const throw (Mers::Utils::Exceptions::RuntimeException)`[pure virtual]`

Creates a GATSAT object.

Parameters:

  | searchVars | The search variables that will be generated over. Each variable will be considered by the generator.
  | allVars | The list of all variables, often needed by the tester. This should minimally be the union of the search variables with the variables used in the theory.
  | theory | The DNF theory (a set of disjunctive clauses) used by the tester as its basis for testing.

Returns:
  A new GATSAT instance using the specified data. This return value will never be NULL.

Exceptions:

  | RuntimeException | If the specified GATSAT instance could not be created for some reason.

Implemented in Mers::Solvers::SAT::GATSAT::CompileSAT::CSATFactory, and Mers::Solvers::SAT::GATSAT::NUGatsatFactory.

Referenced by TestSuiteParser::test().

The documentation for this class was generated from the following file:

- /Users/fpy/titan-1-5-MBARI/Mers/Solvers/SAT/GATSAT/GatsatFactory.h